#!/usr/bin/perl 

# You may want to add 'use lib...' before 
# this line, according to your situation 
use MIME::Lite; 

# if your Perl runs on non-Un*x OS, you may need to set $WIN_NT to 
# non-zero value here. 
undef $WIN_NT; 

# set up MTA (mail transfer agent, e.g. sendmail) 

if($WIN_NT) { 
        # Suitable for non-Un*x environment 
#or if you just want to use SMTP 
        MIME::Lite->send('smtp', "smtp.myisp.net"); 
} else { 
        # set up your MTA here 
#(you can try just MIME::Lite->send('sendmail') ) 
        MIME::Lite->send('sendmail', "/usr/lib/sendmail -t -i"); 
} 

# create the message body 

my $body = qq|Hi! 

This is a simple message. 
Bye... 
|; 

# create message object and automatically compose new message 

my $msg = MIME::Lite->new( 
        From    =>'microiso@hotmial.com', 
        To      =>'astels@hotmail.com', 
        Subject  =>'Hi!', 
        Data    => $body 
); 

# after composing, send message using MTA pre-defined above 

die "Error sending e-mail: $!" unless $msg->send; 

# compose another message 

$msg = MIME::Lite->build( 
        From    =>'my@myhost.com', 
        To      =>'another@friend', 
        Subject  =>'Hi too!', 
        Data    => $body 
); 

# Save another message to the file rather than send it 

open(FH, ">message.txt") or die("Couldn't create: $!"); 
flock(FH, 2) unless $WIN_NT; 
$msg->print(\*FH); 
close FH; 

# print result 

print "Content-Type: text/html\n\n"; 
print "Messages processed!"; 

# Gear down 

exit(0); 